package com.springmvc.in28min.demo.controllers;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.SessionAttributes;

import com.springmvc.in28min.demo.services.LoginService;

@Controller
@SessionAttributes("name")
public class LoginFlowController {
	
	@Autowired
	LoginService loginService;
	@RequestMapping(value= "/login",method=RequestMethod.GET)
	public String showLoginPage(){
		return "login";
	}
	
	@RequestMapping(value="/login",method=RequestMethod.POST)
	public String handleLoginRequest(@RequestParam String name,@RequestParam String password,ModelMap model){
		if(!loginService.validateUser(name, password)){
			model.put("errorMessage", "Invalid Credentials...");
			return "login";
		}
		model.put("name", name);
		return "welcome";
		
	}
}
