package com.springmvc.in28min.demo.services;

import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

import org.springframework.stereotype.Service;

import com.springmvc.in28min.demo.models.ToDoBean;

@Service
public class ToDoService {

	private static List<ToDoBean> todoList = new ArrayList<ToDoBean>();
	private static int todoCount = 3;
	
	static{
		
		todoList.add(new ToDoBean(1, "Sonu", "Learn Spring MVC", new Date(), false));
		todoList.add(new ToDoBean(2, "Sonu", "Learn Servlet/JSP", new Date(), false));
		todoList.add(new ToDoBean(3, "Sonu", "Learn Struts", new Date(), false));
	}
	public List<ToDoBean> viewToDoByUserName(String user){
		
		List<ToDoBean> filteredToDoList = new ArrayList<>();
		for(ToDoBean todo:todoList){
			if (todo.getUser().equalsIgnoreCase(user))
				filteredToDoList.add(todo);
		}
		return filteredToDoList;
	}
	
	public void addTodo(String name, String desc, Date targetDate, boolean isDone) {
		todoList.add(new ToDoBean(++todoCount, name, desc, targetDate, isDone));
	}

	public void deleteTodo(int id) {
		Iterator<ToDoBean> iterator = todoList.iterator();
		while (iterator.hasNext()) {
			ToDoBean todo = iterator.next();
			if (todo.getId() == id) {
				iterator.remove();
				--todoCount;
			}
		}
	}
}
